Bug 27426 - installer stops after entering passwords while opening pakages
installer stops after entering passwords while opening pakages
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.0
i386 Linux
high Severity high
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-13 13:30 EST by Tony Schnell
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-13 13:31:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tony Schnell 2001-02-13 13:30:59 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98)


I get the same results in any instalation mode, with or without the 
anaconda fix 20001009.img.. I was triing to load 7.0 over 6.2 on a 2.0 gig 
hard drive. I even tried updating. I just fdisked the entire hard drive 
and changed it back to FAT32. still the same result...

Reproducible: Always
Steps to Reproduce:
1.insert boot disk. start computer. enter any choise for setup.
2.English lang. US keyboard. Hard drive install. format manual or 
automatic. enter root name, password, other users. then continue.
3.That is when the installer stops.
	

Actual Results:  Traceback (innermost last):
  File "/usr/bin/anaconda.real", line 438, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py", line 1030, in 
run
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/textw/packages_text.py", 
line 33, in __call__
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 539, in 
getCompsList
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/harddrive.py", line 43, 
in readComps
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/comps.py", line 459, in 
__init__
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/comps.py", line 428, in 
readCompsFile
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/comps.py", line 101, in 
__getitem__
KeyError: indexhtml

Local variables in innermost frame:
self: <comps.HeaderList instance at 824fa60>
item: indexhtml

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iharddrive
HardDriveInstallMethod
p4
(dp5
S'fstype'
p6
S'vfat'
p7
sS'isMounted'
p8
I1
sS'fnames'
p9
(dp10

<failed>


Expected Results:  continuation of instalation.
Comment 1 Michael Fulbright 2001-02-13 23:03:17 EST
Something about the hard drive image you setup to install from is not correct,
as files which are required cannot be found.
Comment 2 Tony Schnell 2001-02-14 22:56:13 EST
which files can't be found????/ I downloaded them all from Redhat.ftp twice..
What files is the loader looking for???

Note You need to log in before you can comment on or make changes to this bug.